Package org.gradle.api.tasks

# Class WorkResults

java.lang.Object
org.gradle.api.tasks.WorkResults

public class WorkResults extends Object
Helps access trivial `WorkResult` objects.

Since:
  4.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkResult`
  `didWork(boolean didWork)`
  Returns a `WorkResult` object representing work done according to the given parameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### didWork

    public static WorkResult didWork(boolean didWork)
    Returns a `WorkResult` object representing work done according to the given parameter.